import { useLocalSearchParams } from "expo-router";
import { View, Text } from "react-native";
import { TravelDetailsPage } from "../../../src/travel/screens/travel_details_page";

export default function Details() {
    const { id } = useLocalSearchParams<{ id: string }>();

    if (!id) {
        return (
            <View>
                <Text>Invalid ID</Text>
            </View>
        );
    }

    return (
        <TravelDetailsPage id={+id} />
    );
}